#!/usr/bin/env python3
import cProfile
import pstats
import subprocess
import sys
sys.path.insert(0, "../..")

from src.AppMetadata import extract_metadata

# make the revision an appropriate output file
revno = subprocess.check_output(["bzr", "revno"]).decode().strip()

# run the profiler
call = ("extract_metadata('http://archive.ubuntu.com/ubuntu', 'natty',"
        "('i386', 'amd64'), 'config/', 'output/', 500)")
cProfile.run(call, "profile")

# output the stats to file
outfile = open("r{0}.txt".format(revno), "w")
sys.stdout, saved = outfile, sys.stdout
stats = pstats.Stats("profile").strip_dirs()
stats.sort_stats("cumulative").print_stats()
sys.stdout = saved
outfile.close()
